/// <reference types="dragula" />
import { PropType } from 'vue';
import * as common from 'schema-based-json-editor';
import { Schema } from '.';
export declare const Editor: import("vue").DefineComponent<{
    schema: {
        type: PropType<common.Schema>;
        required: true;
    };
    initialValue: null;
    title: (StringConstructor | NumberConstructor)[];
    getReference: {
        type: PropType<(ref: string) => Schema | undefined>;
        required: true;
    };
    theme: {
        type: PropType<{
            card: string;
            row: string;
            errorRow: string;
            input: string;
            errorInput: string;
            textarea: string;
            errorTextarea: string;
            checkbox: string;
            radiobox: string;
            button: string;
            buttonGroup: string;
            title: string;
            description: string;
            select: string;
        }>;
        required: true;
    };
    icon: {
        type: PropType<{
            isText: boolean;
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        }>;
        required: true;
    };
    locale: {
        type: PropType<{
            button: {
                collapse: string;
                expand: string;
                add: string;
                delete: string;
            };
            error: {
                minLength: string;
                maxLength: string;
                pattern: string;
                minimum: string;
                maximum: string;
                largerThan: string;
                smallerThan: string;
                minItems: string;
                uniqueItems: string;
                multipleOf: string;
                minProperties: string;
                maxProperties: string;
            };
            info: {
                notExists: string;
                true: string;
                false: string;
                search: string;
            };
            markdownTipLocale: any;
            fileUploaderLocale: {
                dragAndDrop: string;
                selectFile: string;
                pasteFromClipboard: string;
            };
        }>;
        required: true;
    };
    readonly: BooleanConstructor;
    required: BooleanConstructor;
    hasDeleteButton: {
        type: BooleanConstructor;
        required: true;
    };
    dragula: PropType<import("dragula").Dragula | undefined>;
    md: ObjectConstructor;
    hljs: ObjectConstructor;
    forceHttps: BooleanConstructor;
    disableCollapse: BooleanConstructor;
    noSelect2: BooleanConstructor;
    minItemCountIfNeedFilter: NumberConstructor;
    monacoEditor: PropType<typeof import("monaco-editor").editor>;
}, unknown, unknown, {
    realSchema(): Schema;
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    schema?: unknown;
    initialValue?: unknown;
    title?: unknown;
    getReference?: unknown;
    theme?: unknown;
    icon?: unknown;
    locale?: unknown;
    readonly?: unknown;
    required?: unknown;
    hasDeleteButton?: unknown;
    dragula?: unknown;
    md?: unknown;
    hljs?: unknown;
    forceHttps?: unknown;
    disableCollapse?: unknown;
    noSelect2?: unknown;
    minItemCountIfNeedFilter?: unknown;
    monacoEditor?: unknown;
} & {
    icon: {
        isText: boolean;
        collapse: string;
        expand: string;
        add: string;
        delete: string;
    };
    theme: {
        card: string;
        row: string;
        errorRow: string;
        input: string;
        errorInput: string;
        textarea: string;
        errorTextarea: string;
        checkbox: string;
        radiobox: string;
        button: string;
        buttonGroup: string;
        title: string;
        description: string;
        select: string;
    };
    required: boolean;
    locale: {
        button: {
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        };
        error: {
            minLength: string;
            maxLength: string;
            pattern: string;
            minimum: string;
            maximum: string;
            largerThan: string;
            smallerThan: string;
            minItems: string;
            uniqueItems: string;
            multipleOf: string;
            minProperties: string;
            maxProperties: string;
        };
        info: {
            notExists: string;
            true: string;
            false: string;
            search: string;
        };
        markdownTipLocale: any;
        fileUploaderLocale: {
            dragAndDrop: string;
            selectFile: string;
            pasteFromClipboard: string;
        };
    };
    schema: common.Schema;
    readonly: boolean;
    hasDeleteButton: boolean;
    noSelect2: boolean;
    forceHttps: boolean;
    getReference: (ref: string) => Schema | undefined;
    disableCollapse: boolean;
} & {
    initialValue?: any;
    title?: string | number | undefined;
    monacoEditor?: typeof import("monaco-editor").editor | undefined;
    md?: Record<string, any> | undefined;
    hljs?: Record<string, any> | undefined;
    dragula?: import("dragula").Dragula | undefined;
    minItemCountIfNeedFilter?: number | undefined;
}>, {
    required: boolean;
    readonly: boolean;
    noSelect2: boolean;
    forceHttps: boolean;
    disableCollapse: boolean;
}>;
