import { PropType } from 'vue';
import * as common from 'schema-based-json-editor';
export declare const NumberEditor: import("vue").DefineComponent<{
    schema: {
        type: PropType<common.NumberSchema>;
        required: true;
    };
    initialValue: NumberConstructor;
    title: (StringConstructor | NumberConstructor)[];
    theme: {
        type: PropType<{
            card: string;
            row: string;
            errorRow: string;
            input: string;
            errorInput: string;
            textarea: string;
            errorTextarea: string;
            checkbox: string;
            radiobox: string;
            button: string;
            buttonGroup: string;
            title: string;
            description: string;
            select: string;
        }>;
        required: true;
    };
    icon: {
        type: PropType<{
            isText: boolean;
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        }>;
        requried: boolean;
    };
    locale: {
        type: PropType<{
            button: {
                collapse: string;
                expand: string;
                add: string;
                delete: string;
            };
            error: {
                minLength: string;
                maxLength: string;
                pattern: string;
                minimum: string;
                maximum: string;
                largerThan: string;
                smallerThan: string;
                minItems: string;
                uniqueItems: string;
                multipleOf: string;
                minProperties: string;
                maxProperties: string;
            };
            info: {
                notExists: string;
                true: string;
                false: string;
                search: string;
            };
            markdownTipLocale: any;
            fileUploaderLocale: {
                dragAndDrop: string;
                selectFile: string;
                pasteFromClipboard: string;
            };
        }>;
        required: true;
    };
    readonly: BooleanConstructor;
    required: BooleanConstructor;
    hasDeleteButton: {
        type: BooleanConstructor;
        required: true;
    };
    noSelect2: {
        type: BooleanConstructor;
        required: true;
    };
}, unknown, {
    value: number | undefined;
    errorMessage: string | undefined;
    buttonGroupStyle: string;
}, {
    useInput(): boolean | undefined;
    useSelect(): boolean;
    useSelect2Component(): boolean;
    useSelectComponent(): boolean;
    useRadioBoxComponent(): boolean;
    isReadOnly(): boolean | undefined;
    hasDeleteButtonFunction(): boolean;
    titleToShow(): string;
    options(): {
        value: string | number;
        label: string | number;
    }[];
    className(): string;
    step(): number | "any" | undefined;
}, {
    onChange(e: {
        target: {
            value: string;
        };
    }): void;
    updateSelection(value: number): void;
    toggleOptional(): void;
    validate(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    schema?: unknown;
    initialValue?: unknown;
    title?: unknown;
    theme?: unknown;
    icon?: unknown;
    locale?: unknown;
    readonly?: unknown;
    required?: unknown;
    hasDeleteButton?: unknown;
    noSelect2?: unknown;
} & {
    theme: {
        card: string;
        row: string;
        errorRow: string;
        input: string;
        errorInput: string;
        textarea: string;
        errorTextarea: string;
        checkbox: string;
        radiobox: string;
        button: string;
        buttonGroup: string;
        title: string;
        description: string;
        select: string;
    };
    required: boolean;
    locale: {
        button: {
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        };
        error: {
            minLength: string;
            maxLength: string;
            pattern: string;
            minimum: string;
            maximum: string;
            largerThan: string;
            smallerThan: string;
            minItems: string;
            uniqueItems: string;
            multipleOf: string;
            minProperties: string;
            maxProperties: string;
        };
        info: {
            notExists: string;
            true: string;
            false: string;
            search: string;
        };
        markdownTipLocale: any;
        fileUploaderLocale: {
            dragAndDrop: string;
            selectFile: string;
            pasteFromClipboard: string;
        };
    };
    schema: common.NumberSchema;
    readonly: boolean;
    hasDeleteButton: boolean;
    noSelect2: boolean;
} & {
    icon?: {
        isText: boolean;
        collapse: string;
        expand: string;
        add: string;
        delete: string;
    } | undefined;
    initialValue?: number | undefined;
    title?: string | number | undefined;
}>, {
    required: boolean;
    readonly: boolean;
}>;
