import { PropType } from 'vue';
import * as common from 'schema-based-json-editor';
export declare const StringEditor: import("vue").DefineComponent<{
    schema: {
        type: PropType<common.StringSchema>;
        required: true;
    };
    initialValue: StringConstructor;
    title: (StringConstructor | NumberConstructor)[];
    theme: {
        type: PropType<{
            card: string;
            row: string;
            errorRow: string;
            input: string;
            errorInput: string;
            textarea: string;
            errorTextarea: string;
            checkbox: string;
            radiobox: string;
            button: string;
            buttonGroup: string;
            title: string;
            description: string;
            select: string;
        }>;
        required: true;
    };
    icon: {
        type: PropType<{
            isText: boolean;
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        }>;
        requried: boolean;
    };
    locale: {
        type: PropType<{
            button: {
                collapse: string;
                expand: string;
                add: string;
                delete: string;
            };
            error: {
                minLength: string;
                maxLength: string;
                pattern: string;
                minimum: string;
                maximum: string;
                largerThan: string;
                smallerThan: string;
                minItems: string;
                uniqueItems: string;
                multipleOf: string;
                minProperties: string;
                maxProperties: string;
            };
            info: {
                notExists: string;
                true: string;
                false: string;
                search: string;
            };
            markdownTipLocale: any;
            fileUploaderLocale: {
                dragAndDrop: string;
                selectFile: string;
                pasteFromClipboard: string;
            };
        }>;
        required: true;
    };
    readonly: BooleanConstructor;
    required: BooleanConstructor;
    hasDeleteButton: {
        type: BooleanConstructor;
        required: true;
    };
    noSelect2: {
        type: BooleanConstructor;
        required: true;
    };
    md: ObjectConstructor;
    hljs: ObjectConstructor;
    forceHttps: BooleanConstructor;
    monacoEditor: PropType<typeof import("monaco-editor").editor>;
}, unknown, {
    value: string | undefined;
    errorMessage: string | undefined;
    buttonGroupStyle: string;
    collapsed: boolean;
    imagePreviewStyle: string;
    monacoCodeEditor: import("monaco-editor").editor.IStandaloneCodeEditor | undefined;
}, {
    canPreviewImage(): boolean;
    canPreviewMarkdown(): boolean | undefined;
    canPreviewCode(): boolean | undefined;
    canPreview(): boolean | undefined;
    useTextArea(): boolean | undefined;
    useInput(): boolean | undefined;
    useSelect(): boolean;
    useSelect2Component(): boolean;
    useSelectComponent(): boolean;
    useRadioBoxComponent(): boolean;
    getImageUrl(): string | undefined;
    getMarkdown(): string;
    getCode(): string;
    isReadOnly(): boolean | undefined;
    hasDeleteButtonFunction(): boolean;
    willPreviewImage(): boolean | '' | undefined;
    willPreviewMarkdown(): boolean | '' | undefined;
    willPreviewCode(): boolean | '' | undefined;
    titleToShow(): string;
    options(): {
        value: string | number;
        label: string | number;
    }[];
    canUpload(): boolean;
    className(): string;
}, {
    onChange(e: {
        target: {
            value: string;
        };
    }): void;
    updateSelection(value: string): void;
    toggleOptional(): void;
    collapseOrExpand(): void;
    fileGot(file: File | Blob): void;
    validate(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    schema?: unknown;
    initialValue?: unknown;
    title?: unknown;
    theme?: unknown;
    icon?: unknown;
    locale?: unknown;
    readonly?: unknown;
    required?: unknown;
    hasDeleteButton?: unknown;
    noSelect2?: unknown;
    md?: unknown;
    hljs?: unknown;
    forceHttps?: unknown;
    monacoEditor?: unknown;
} & {
    theme: {
        card: string;
        row: string;
        errorRow: string;
        input: string;
        errorInput: string;
        textarea: string;
        errorTextarea: string;
        checkbox: string;
        radiobox: string;
        button: string;
        buttonGroup: string;
        title: string;
        description: string;
        select: string;
    };
    required: boolean;
    locale: {
        button: {
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        };
        error: {
            minLength: string;
            maxLength: string;
            pattern: string;
            minimum: string;
            maximum: string;
            largerThan: string;
            smallerThan: string;
            minItems: string;
            uniqueItems: string;
            multipleOf: string;
            minProperties: string;
            maxProperties: string;
        };
        info: {
            notExists: string;
            true: string;
            false: string;
            search: string;
        };
        markdownTipLocale: any;
        fileUploaderLocale: {
            dragAndDrop: string;
            selectFile: string;
            pasteFromClipboard: string;
        };
    };
    schema: common.StringSchema;
    readonly: boolean;
    hasDeleteButton: boolean;
    noSelect2: boolean;
    forceHttps: boolean;
} & {
    icon?: {
        isText: boolean;
        collapse: string;
        expand: string;
        add: string;
        delete: string;
    } | undefined;
    initialValue?: string | undefined;
    title?: string | number | undefined;
    monacoEditor?: typeof import("monaco-editor").editor | undefined;
    md?: Record<string, any> | undefined;
    hljs?: Record<string, any> | undefined;
}>, {
    required: boolean;
    readonly: boolean;
    forceHttps: boolean;
}>;
